com.jscape.inet.mft.management.descriptors

## Class AccountTemplateServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AccountTemplateServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class AccountTemplateServiceDescriptor
      extends ServiceDescriptor

  Account templates service descriptor.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountTemplateServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `AccountTemplateServiceDescriptor(com.jscape.inet.vfs.AccountTemplate... templates)` Creates a new descriptor instance.
    `AccountTemplateServiceDescriptor(AccountTemplateServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `com.jscape.inet.vfs.AccountTemplate[]` | `getTemplates()` Returns account templates.
    `void` | `setTemplates(com.jscape.inet.vfs.AccountTemplate[] value)` Sets account templates.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountTemplateServiceDescriptor

          public AccountTemplateServiceDescriptor(com.jscape.inet.vfs.AccountTemplate... templates)

      Creates a new descriptor instance.
      Parameters:
        `templates` - account templates

    - #### AccountTemplateServiceDescriptor

          public AccountTemplateServiceDescriptor(AccountTemplateServiceDescriptor that)

    - #### AccountTemplateServiceDescriptor

          public AccountTemplateServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getTemplates

          public com.jscape.inet.vfs.AccountTemplate[] getTemplates()

      Returns account templates.
      Returns:
        account templates

    - #### setTemplates

          public void setTemplates(com.jscape.inet.vfs.AccountTemplate[] value)

      Sets account templates.
      Parameters:
        `value` - account templates

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved